version 8.2
clear
set logtype text
set more off
set matsize 200

capture mkdir "brazrloc/estmat/v4/reg"
capture mkdir "brazrloc/estmat/v4/reg/natl"

capture log close
log using "brazrloc/logs/separations-accessions-aer-natl-rr-loneway.log", replace

local maxiter $maxiter


// SUBSIBGE REGRESSIONS

* SEPARATIONS NATL

use if ~indexcl using "brazrloc/data/separations-natl-subsibge.dta", clear
drop indexcl subs_balcadv_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf indlayoff indquit
forvalues i = 1/26 {
  label var indsubs_`i' "Indic.: Subsector `i'"
  }
gen byte subs_ibge = .
label var subs_ibge "Subsector IBGE"
forvalues i = 1/26 {
  qui replace subs_ibge = `i' if indsubs_`i'==1
  }
qui do "rais/cnae/ibge.do"
label values subs_ibge ibge

oneway inddspl subs_ibge if inddspl~=.
loneway inddspl subs_ibge if inddspl~=.

* ACCESSIONS NATL

use if ~indexcl using "brazrloc/data/accessions-natl-subsibge.dta", clear
drop indexcl subs_balcadv_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf
forvalues i = 1/26 {
  label var indsubs_`i' "Indic.: Subsector `i'"
  }
gen byte subs_ibge = .
label var subs_ibge "Subsector IBGE"
forvalues i = 1/26 {
  qui replace subs_ibge = `i' if indsubs_`i'==1
  }
qui do "rais/cnae/ibge.do"
label values subs_ibge ibge

oneway indhire subs_ibge if indhire~=.
loneway indhire subs_ibge if indhire~=.

log close
